#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  datasource:
    url: jdbc:postgresql://entopticadirx:5432/GridFailureInfoDevelop
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}
  flyway:
    enabled: false
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}
    import_exchange: sitImportExchange_localdev
    failure_import_queue: sitImportQueue_localdev
    failure_import_routingkey: sitImportExchange.failureImportKey_localdev

index-channel:
  enabled: true

server:
  port: 9175
  max-http-header-size: 262144
  servlet:
    session:
      tracking-modes: cookie

---

spring:
  profiles: dev-db
  datasource:
    url: jdbc:postgresql://entopticadirx:5432/GridFailureInfoDevServer
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}